Skip to main content
`Ctrl`+`K`

# STBackTransform

Back-transformation phase, intended for spectral transformations which require to transform the computed eigenvalues back to the original eigenvalue problem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STBackTransform(ST st,PetscInt n,PetscScalar eigr[],PetscScalar eigi[])

Not Collective

## Input Parameters

- st - the spectral transformation context

- n - number of eigenvalues

- eigr - real part of a computed eigenvalues

- eigi - imaginary part of a computed eigenvalues

## See Also

ST: Spectral Transformation, `STIsInjective()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STBackTransform_Cayley() in src/sys/classes/st/impls/cayley/cayley.c
STBackTransform_Shell() in src/sys/classes/st/impls/shell/shell.c
STBackTransform_Shift() in src/sys/classes/st/impls/shift/shift.c
STBackTransform_Sinvert() in src/sys/classes/st/impls/sinvert/sinvert.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages